Import Opt-Outs
Allows to import the Opt-Outs manually, for example, during the migration from other provider.
Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Import Opt-Outs Request.
Response Body
curl -X POST "https://example.com/v1/OptOuts" \ -H "Content-Type: application/json" \ -d '{ "items": [ { "number": "string", "scope": "string" } ] }'{ "items": [ { "number": "+12145678900", "scope": "string", "scopeType": "SenderPhoneNumber", "createdOn": "2023-09-09T15:00:00.000Z" } ]}{ "errors": { "Name": [ "The Name field is required." ] }, "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1", "title": "One or more validation errors occurred.", "status": 400, "detail": "Some detailed message", "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}List Opt-Outs GET
Gets the list of all Opt-Outs that are registered for your Phone Numbers and/or TCR Campaigns. This method supports pagination.
Send Outbound Message POST
Submits Outbound Message for sending. Response status code `200` means that the Outbound Message was accepted for delivery. It does not guarantee that the message will be sent right away, or ever. Depending on the TCR Campaign association state, the remaining TCR limit and the Opt-Out of the recipient, the message may end up queued or even discarded. In case `MediaUrls` array is not empty (i.e. contains at least one attachment URL) and/or more than 1 recipient the message is considered MMS.